Subject: Re: bug#60524: 29.0.60; tree-sitter doc fixes

From: Juri Linkov <[email-masked]>
Date: Wed, 04 Jan 2023 09:58:00 +0200

close 60524 29.0.60
thanks

>> It seems that functions like treesit-next-sibling, treesit-prev-sibling,
>> treesit-child-by-field-name, treesit-first-child-for-pos, treesit-child-count
>> were planned to implement, but their addition was postponed.  For this reason
>> I just commented out them, to be able to easily uncomment when they will
>> be implemented.  I could push other changes to emacs-29 as well:
>
> My bad. Those functions missed the "node" in their name. They should be
> treesit-node-next-sibling, etc.  Other changes seem fine to me, thanks
> for catching so many problems!

So now pushed with these fixes to emacs-29.